> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a SIM card group

> Creates a new SIM card group object



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/wireless/sim-cards-groups.yml post /sim_card_groups
openapi: 3.1.0
info:
  title: SIM Card Groups API
  version: 2.0.0
  description: >-
    SIM card group management including group CRUD, group actions, and private
    wireless gateway and blocklist assignments.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /sim_card_groups:
    post:
      tags:
        - SIM Card Groups
      summary: Create a SIM card group
      description: Creates a new SIM card group object
      operationId: CreateSimCardGroup
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SIMCardGroupCreate'
        required: true
      responses:
        '200':
          $ref: '#/components/responses/CreateSimCardGroupResponse'
        '401':
          description: Unauthorized
        default:
          $ref: '#/components/responses/wireless_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const simCardGroup = await client.simCardGroups.create({ name: 'My
            Test Group' });


            console.log(simCardGroup.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            sim_card_group = client.sim_card_groups.create(
                name="My Test Group",
            )
            print(sim_card_group.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tsimCardGroup, err := client.SimCardGroups.New(context.TODO(), telnyx.SimCardGroupNewParams{\n\t\tName: \"My Test Group\",\n\t})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", simCardGroup.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import com.telnyx.sdk.models.simcardgroups.SimCardGroupCreateParams;

            import
            com.telnyx.sdk.models.simcardgroups.SimCardGroupCreateResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    SimCardGroupCreateParams params = SimCardGroupCreateParams.builder()
                        .name("My Test Group")
                        .build();
                    SimCardGroupCreateResponse simCardGroup = client.simCardGroups().create(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            sim_card_group = telnyx.sim_card_groups.create(name: "My Test
            Group")


            puts(sim_card_group)
        - lang: CLI
          source: |-
            telnyx sim-card-groups create \
              --api-key 'My API Key' \
              --name 'My Test Group'
components:
  schemas:
    SIMCardGroupCreate:
      title: SIMCardGroupCreate
      type: object
      properties:
        name:
          description: A user friendly name for the SIM card group.
          type: string
          example: My Test Group
        data_limit:
          type: object
          description: >-
            Upper limit on the amount of data the SIM cards, within the group,
            can use.
          properties:
            amount:
              type: string
              example: '2048.1'
            unit:
              type: string
              example: MB
      required:
        - name
    SIMCardGroup:
      title: SIMCardGroup
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Identifies the resource.
          readOnly: true
          example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
        record_type:
          type: string
          description: Identifies the type of the resource.
          readOnly: true
          example: sim_card_group
        default:
          description: >-
            Indicates whether the SIM card group is the users default
            group.<br/>The default group is created for the user and can not be
            removed.
          type: boolean
          example: true
          readOnly: true
        name:
          description: A user friendly name for the SIM card group.
          type: string
          example: My Test Group
        data_limit:
          type: object
          description: >-
            Upper limit on the amount of data the SIM cards, within the group,
            can use.
          properties:
            amount:
              type: string
              example: '2048.1'
            unit:
              type: string
              example: MB
        consumed_data:
          $ref: '#/components/schemas/ConsumedData'
        private_wireless_gateway_id:
          description: The identification of the related Private Wireless Gateway resource.
          format: uuid
          type: string
          example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
          default: null
        wireless_blocklist_id:
          description: The identification of the related Wireless Blocklist resource.
          format: uuid
          type: string
          example: a13bc415-7966-43bf-90d4-63cc76275289
          default: null
        created_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was
            created.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
        updated_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was
            updated.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
    wireless_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/wireless_Error'
      type: object
    ConsumedData:
      type: object
      title: ConsumedData
      description: Represents the amount of data consumed.
      properties:
        unit:
          type: string
          example: MB
          default: MB
        amount:
          type: string
          example: '2048.1'
    wireless_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  responses:
    CreateSimCardGroupResponse:
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                $ref: '#/components/schemas/SIMCardGroup'
      description: Successful Response
    wireless_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/wireless_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````